scaling: 2  # Model Scaling Factor (used also for loading the high resolution images)
dataset:
  # Note that the DataLoader expect to have specular files (only the base path provided in low_sr_dir and high_sr_dir differ)
  low_sr_dir: "path/to/low_sr"  # Directory containing low resolution YUV images
  high_sr_dir: "path/to/high_sr"  # Directory containing high resolution YUV images
  width: 256  # Image width
  height: 256  # Image height
  pix_fmt: "yuv420p"  # Pixel format, e.g., yuv420p, yuv444p, yuv422p, yuv444p10le, etc...
  range: 255.0  # Value to normalize pixel values (e.g., 255.0 for 8-bit, 1.0 for already normalized)
  luminance_only: false  # If true, only use the Y (luminance) channel
  clone_luminance_as_rgb: false  # If true and luminance_only is true, repeat Y channel 3 times to simulate RGB
  upsample_uv: false  # If true, upsample U and V channels to match Y size if needed
  uv_interpolation: "nearest"  # Interpolation for upsampling U/V: nearest, linear, cubic, area, lanczos
  batch_size: 4  # Batch size for DataLoader (default: 4)
  patch_size: 128 # Size of pachets to extract from the Input and output image (randomly sampled) ( the outout patch is scaled )
scheduler:
  use_plateau_scheduler: false  # If true, use ReduceLROnPlateau; otherwise, use StepLR
  lr_step_size: 10  # StepLR: number of epochs between LR reductions
  lr_gamma: 0.5  # StepLR/Plateau: factor to reduce LR by
